RewriteEngine on
RewriteRule ^category/(.*)/(.*)$ category.php?id=$1&slug=$2
RewriteRule ^search/(.*)$ search.php?query=$1
RewriteRule ^media/(.*)/(.*)$ media.php?id=$1&slug=$2
RewriteRule ^register$ user_tools.php?case=register
RewriteRule ^user/lists$ user_lists.php
RewriteRule ^user-activation/(.*)/(.*)$ user_tools.php?case=confirm_user_email&email=$1&activation_code=$2
RewriteRule ^reset-password/(.*)/(.*)$ user_tools.php?case=reset_password&email=$1&activation_code=$2
RewriteRule ^forget-password$ user_tools.php?case=forget_password
RewriteRule ^list/(.*)/(.*)$ list.php?id=$1&slug=$2
RewriteRule ^public-lists$ public_lists.php
RewriteRule ^most-viewed$ most_viewed.php
RewriteRule ^upload-time$ upload_time.php
RewriteRule ^page/(.*)/(.*)$ page.php?id=$1&slug=$2
RewriteRule ^user/change-password$ user_setting.php?case=change_password
RewriteRule ^rss$ rss.php
RewriteRule ^sitemap-(.*).xml$ sitemap.php?id=$1
RewriteRule ^categories-sitemap.xml$ sitemap.php?case=categories
RewriteRule ^lists-sitemap.xml$ sitemap.php?case=lists
RewriteRule ^profile/(.*)/(.*)$ profile.php?id=$1&slug=$2